Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 165207 - [PATCH] use x11-ssh-askpass if openssh-askpass-gnome is not installed
Summary: [PATCH] use x11-ssh-askpass if openssh-askpass-gnome is not installed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-08-05 13:19 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: openssh-4.1p1-5
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-16 12:02:28 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2005-08-05 13:19:07 UTC
If openssh-askpass-gnome is not installed, the plain X11 version from  
openssh-askpass doesn't seem to be used instead of it out of the box, which  
causes problems here and there where a console is not available for asking 
passphrases. 
   
This would be trivially solved by a couple of new /etc/profile.d snippets:   
   
x11-ssh-askpass.sh:   
if [ -z "$SSH_ASKPASS" ] ; then   
    SSH_ASKPASS=/usr/libexec/openssh/x11-ssh-askpass   
    export SSH_ASKPASS   
fi   
   
x11-ssh-askpass.csh:   
if ( $?SSH_ASKPASS ) then   
    exit   
endif   
setenv SSH_ASKPASS /usr/libexec/openssh/x11-ssh-askpass

Comment 1 Tomas Mraz 2005-08-16 12:02:28 UTC
Applied, thanks.



Note You need to log in before you can comment on or make changes to this bug.